Update action.yml

This commit is contained in:
2025-08-22 15:12:48 +02:00
parent a3dfd59bd7
commit a4d3b0d3cb
+14 -13
View File
@@ -326,20 +326,21 @@ runs:
set -e
# POST-TEST
if [ -n "${{ inputs.post-test-cmd }}" ]; then
echo "🧹 Running post-test commands..." | tee -a "$LOG_FILE"
set +e
eval "${{ inputs.post-test-cmd }}" >> "$LOG_FILE" 2>&1
POST_STATUS=$?
set -e
if [ $POST_STATUS -ne 0 ]; then
echo "❌ Post-test failed" | tee -a "$LOG_FILE"
exec >/dev/null 2>&1
echo "Exit Code: 1" >> "$LOG_FILE"
kill 0 || true
exit 1
{
# tes commandes normales
if [ -n "${{ inputs.post-test-cmd }}" ]; then
echo "🧹 Running post-test commands..."
set +e
eval "${{ inputs.post-test-cmd }}"
POST_STATUS=$?
set -e
if [ $POST_STATUS -ne 0 ]; then
echo "❌ Post-test failed"
echo "Exit Code: 1"
exit 1
fi
fi
fi
} >>"$LOG_FILE" 2>&1
# SUCCESS
echo "▶️ END" | tee -a "$LOG_FILE"